Online News Screensaver Help

Welcome to Online News Screensaver

Online News Screensaver is a unique and informative screensaver tool that delivers the latest news right to the screen of your computer. If you have a direct Internet access, the screensaver will keep bringing you the news reports continuously. And since Online News Screensaver is fully customizable, you decide what kind of information you want to receive - Top News, Regional, Entertainment, Health, Technology, Business, Science, Sport, Industries, Society.

Main features:
  • Hot news from top internet sites in real-time;
  • Weather information with a five day forecast updated twice per day;
  • Full customization, you decide what kind of information you want to receive;
  • Different visual effects, such as flowing and fadeout;
  • Picture slide show on the background;
  • RSS, RDF, ATOM and free-formatted text (HTML) supported as a news sources.
Copyright (c) 1999-2005 Cool-Screensavers.Com


System Requirements and Installation

System requirements:
  • Microsoft Windows 95, 98, Me, NT4, 2000, 2003, XP
  • Pentium 400 MHz or faster processor
  • At least 32 Mb RAM
  • 10 Mb free disk space
  • SVGA card with High/True color mode
  • Direct connection to Internet

Installation

To install Online News Screensaver, simply run 'onlinews.exe' - this will launch the installer. The install process is simple and you will have a chance to change the install directory. When the copying of necessary files has been completed, the Windows Display Properties dialog box will open, in which you can adjust the setup settings for the screensaver. Press the OK button to close the dialog box and make Online News your default screensaver. After Setup is completed you will be able to access the application settings from the Start menu under Programs/Online News Screensaver.

Uninstall

Removing Online News Screensaver is just as easy - you can run the Uninstall process from the same menu - go to Start menu, then Programs, Online News Screensaver and select Uninstall screensaver.


Using Online News Screensaver - Index

Using Online News Screensaver

Configuration Dialog
  • General tab
  • Channels tab
  • Ticker tab - Weather forecast
  • Ticker tab - Date and Time
  • Ticker tab - Stock Quotes
  • Appearance tab
  • Network tab

Channels
  • Requirements to the channels
  • Adding a new template for channel
  • Editing an existing template
  • Channel Template dialog
  • Updating a channels list

Online News Agent
  • What is the Online News Agent
  • Key features of the Online News Agent


Using Online News Screensaver - Configuration Dialog

Configuration Dialog

Online News Screensaver has rather a lot of settings. You can choose what information to get as well as how it looks.

You can start up the Configuration dialog with one of the following ways:

  • Start -> Programs -> Online News Screensaver -> Configure screensaver.

  • Right-click the Online News Agent in the System Tray and choose Configure Online News in the appeared menu.

  • Right-click the Windows desktop, choose Properties and click the Screensaver tab in the Desktop Properties dialog box. Choose Online News as a screensaver and then click Settings that is to the right.

More about Configuration Dialog:
  • General tab
  • Channels tab
  • Ticker tab - Weather forecast
  • Ticker tab - Date and Time
  • Ticker tab - Stock Quotes
  • Appearance tab
  • Network tab


Using Online News Screensaver - General tab

General tab

You can change interface settings, the ways of news navigation and some time intervals in the tab General.

  • Language - choose the interface language in the dropdown list.
  • Enable Online News Agent - starts up Agent in the System Tray for providing additional functions. If this option is chosen the Agent will be started up automatically each time when Windows is starting. Read more about Online News Agent in "What is the Online News Agent".
  • Enable mouse moving when the Screensaver is running - tick this option if you don't want the Screensaver to be immediately closed while moving mouse. You could leave the Screensaver then only by pressing any key.
  • Enable keyboard navigation - tick this option for enabling possibility of switching between the news looked through with some definite keys in the keyboard. Read more in How to use keyboard for navigation.
  • Download a next channel automatically after last topic of the current channel - allows you cycle all channels you have selected. If you deselect this option the new channel will be downloaded after the 'Download news every XXXX min' interval.
  • Download news every XXXX min - type in here the number of minutes after which the current news will be refreshed (if only one source is chosen) or next news will appear (if several news sources are chosen). It is 5 minutes by default.
  • Select a next news from XXXX sec - it determines in how many seconds one news title will be changed to the next. It is 10 seconds by default.
  • Change background image every XXXX min - it determines in how many minutes one background image will be changed to another. It is 1 minute by default.


Using Online News Screensaver - Channels tab

Channels tab

You can define what news will be shown on the screen while the Screensaver is running and download also the refreshed channels list.

  • Channels list - tick all the channels you want to see the news from on the screen while the Screensaver is running. If you tick more than one channel then every time when starting up the Screensaver will choose a channel at random and change it to another in the time interval determined by you. ("Download news every XXXX min" in the General tab).
  • Select All button - click it for selecting all the channels in the list.
  • Deselect All button - click it for taking off the ticks from all the channels in the list.
  • Update List button - starts up the process of channel list refreshing from our site.
  • Auto update every new day check-box - mark this check-box and database will be updated once per day in automatic mode while the Screensaver is running.

Right-click one of the channels in the list to open the expanded dialog box with the following items:

  • Test this channel in the Screensaver - starts up the Screensaver and shows the news from the selected channel.
  • Open channel's site in a browser - opens Internet browser window and download the news page from the selected channel.
  • Edit template - opens the edit template window for the selected channel. This function is usually used when the news is displayed with errors. Read more about creating and editing templates in "Editing an existing template".
  • Create new template - creates a new template and opens this template edit window. Use this option if you want add yourself some news from a site you like. Read more about creating and editing templates in "Adding a new template for channel".
  • Delete template - removes the selected channel from the list.


Using Online News Screensaver - Ticker tab - Weather forecast

Ticker - Weather

The screensaver can show the current weather and the weather forecast for the next five days for one of 40 thousand locations in the world.

The weather forecast is updated twice a day approximately at 5:00 and 17:00 GMT. Along with the current temperature, also humidity, pressure, visibility, wind speed and direction are usually available. Weather conditions are displayed schematically in pictures.

  • Show weather information - tick this option if you want to see on the bottom of the screen current weather and 5-day forecast.
  • Select a Country - choose a country.
  • Select a City - choose a city.
  • Units - choose the units in which the conditions should be shown. You have a two alternatives:
    • English system (temperature in Fahrenheit degrees, pressure in inches of mercury, wind speed in miles per hour and visibility in miles);
    • Metric system (temperature in Celsius degrees, pressure in millibars, wind speed in kilometres per hour and visibility in kilometers).


Using Online News Screensaver - Ticker tab - Date and Time

Ticker - Date and Time

The screensaver can show the current date and time in the ticker line.

Date and time

Date and time
  • Show date - tick this option if you want to see on the bottom of the screen current date.
  • Date format - choose the format of a date.
  • Show time - tick this option if you want to see on the bottom of the screen current time.
  • Time format - choose the format of a time.


Using Online News Screensaver - Ticker tab - Stock Quotes

Ticker - Stock Quotes

The screensaver can show the stock quotes.

This page is used to configure your ticker with your stock quote, fund, and index selections.

  • Show quotes - tick this option if you want to see on the bottom of the screen stock quotes.
  • To add a stock, fund, or index, type the symbol in the Symbol field and then press the Add Stock Symbol button.
  • Remove Stock Symbol - press this button to remove from the list selected symbol.
  • Download Quotes Every ... min - type in here the number of minutes after which the quotes will be refreshed.
  • Symbol Lookup. If you don’t know the symbol for a company’s stock, you can find it using the Symbol Lookup feature. Enter the name of the company in the Name field, and then click Look Up button. Possible matches will appear in your browser.


Using Online News Screensaver - Appearance tab

Appearance tab

You can change the Screensaver appearance in the Appearance tab by changing themes, colors, fonts and background images.

  • Visual Theme - choose a theme that defines news appearance on the display from the dropdown list. Choose Random Theme for the Screensaver theme to be selected at random from the available ones when starting up the Screensaver.
  • Color Scheme - Choose a color scheme you like form the dropdown list. It defines colors, font type and size and other parameters in the chosen theme.
  • New button - click it for creating a new color scheme. You will be offered to type color scheme name in. The new scheme with this name will appear after that in the dropdown list to the left. You will be able to edit its colors after that.
  • Delete button - click it for deleting the selected color scheme.

The selected color scheme will be displayed in the Preview window in the center of Appearance tab. Click the theme element (the current theme name is displayed in the top right corner of the window) for editing this Color Scheme. The selected theme element settings will appear to the right of the Preview window:

  • Background color - click Color button to change the background color of the element.
  • Pen color - click Color button to change the lines color of the selected element.
  • Font button - Click it to change the font, its type, size and color.
  • Layer Transparency Minimum - the minimum element transparency when displaying effects (0 - absolute transparent, 255 - absolute opaque).
  • Layer Transparency Maximum - the maximum element transparency when displaying effects (0 - absolute transparent, 255 - absolute opaque).

You can choose some images as background when displaying news. The images will be changed automatically in the time interval set by "Change background image every XX min" from the General tab.

  • Show images on the background from the following directory - tick here to select the images from a directory on your disk that will be displayed as the background when the Screensaver is running. When unchecked the background will be black.
  • Select button - Click this button to choose directory from which the images will displayed. The directory referred to should contain images in BMP or JPEG formats. If you indicate a directory without images of those formats or a wrong directory, the Screensaver background will be black. The standard photos from the Online News Screensaver are displayed by default.


Using Online News Screensaver - Network tab

Network tab

You can describe your network parameters here.

  • Auto select - choose this item for the Screensaver to determine itself the net parameters to which the computer is connected. This option can make getting the first part of information essentially slow. So use it only in the case when the net configuration is often changed.
  • Default Windows Internet settings - choose this item if you use Internet Explorer successfully for site navigation and want Online News Screensaver use its settings for downloading news. You need Microsoft Internet Explorer 4.0 or its later version for this method.
  • LAN connection - choose this item if you need no specific settings for your computer to connect to Internet or if you want indicate those settings yourself.
  • Use HTTP Proxy Server - tick here if your computer is connected to the Internet through a proxy server. Enter the proxy server address and port.
  • Proxy Requires Authorization - tick here and enter the name and password to get access to the proxy server.


Channels - Index

Channels

  • Requirements to the channels
  • Adding a new template for channel
  • Editing an existing template
  • Channel Template dialog
  • Updating a channels list


Channels - Requirements to the channels

Requirements to the Channels

Channel - is a web resource in Internet or in a local net from which the news is taken. This resource should have the following qualities to be well displayed in the Screensaver:

  • To be a web page or another text-based file or to be a RSS, RDF or ATOM feed.
  • Contain a title, brief news description and URL with details about the news as well as about its author and a time stamp. News can be grouped in sections.
  • If the channel has its own text-based format, then each news structure should be of the same type and repeated from one news to another.


Channels - Adding a new template for channel

Adding a New Template for Channel

To add a channel open the tab Channels and press News Template button. New template will be created and you can edit it with the opened dialog box. See its description in Channel Template dialog.

If you find a channel in Internet that isn't in Online News Screensaver database and could be interesting to the other Screensaver users, write us to [image] and give us its exact URL. We'll add this channel to our Screensaver database as quick as possible.


Channels - Editing an existing template

Editing an Existing Template

To edit an existing template open the Channels tab, select the channel you want to edit in the Channels list and press the Edit Template button. You'll see then the Edit Template dialog box. See its description in Channel Template dialog.

Editing templates is usually necessary in the case when the Screensaver displays the wrong data from that channel or the message "Wrong data received" is displayed. If it happens with a template from the general Screensaver database, give us to know, please, to [image] . We'll correct this template and refresh the database as quick as possible.


Channels - Channel Template dialog

Channel Template dialog

When creating new or editing a template from the database, Channel Template dialog box is opened. It has the following items:

  • Name - site name that will be displayed in the News Source list.
  • Description - brief description that will be displayed in the News Source list.
  • Category - category where the site will be placed within the News Source list.
  • Source Type - choose RSS if the news site is in the RSS or RDF format. Choose HTML if the news source is in HTML or text format.
  • URL - exact address to the news source in Internet. It's necessary to place the prefix "http://" and so on in front of the address. If the news site is placed in a local computer or in a local net computer, put down the prefix "file://".

If you choose RSS format, you can test template functioning by clicking button Test at the bottom of the dialog box.

If you choose HTML format, you need write Regular Expressions for the section and for the news body according to which the news will be filtered through. The Regular Expressions from the programming language Perl are used here. Regular Expressions writing requires from you programming knowledge and experience. So this material learning can take quite a lot of time from the beginners. You can read more about the Regular Expressions in Internet:

  • http://regexpstudio.com/TRegExpr/Help/RegExp_Syntax.html
  • http://www.perldoc.com/perl5.8.0/pod/perlrequick.html
  • http://directory.google.com/Top/Computers/Programming/Languages/Regular_Expressions/ .

If you want to add a channel that would be useful to the other Screensaver users, send us a message to [image] with exact URL of the channel. And we'll add it to the Screensaver database as quick as possible.


Channels - Updating a channels list

Updating a Channels List

The channel template database is constantly refreshed and updated. You can update the database by clicking Update List button in the Channels tab. Then the Screensaver will make the connection to our server and download the refreshed templates.


Online News Agent - Index

Online News Agent

  • What is the Online News Agent
  • Key features of the Online News Agent


Online News Agent - What is the Online News Agent

What is the Online News Agent

Online News Agent starts up when starting your computer and its icon is placed in the System Tray. It is destined for quick and handy access to the Screensaver and its functions.

Under Windows NT4, 2000 or XP the Online News Agent's using is necessary for the button F5 to function correctly and to display the details about the news being looked through in the Internet browser.


Online News Agent - Key features of the Online News Agent

Key Features of the Online News Agent

  • It starts up when starting Windows.
  • Double click the Agent's icon in the system tray to start up the Online News Screensaver.
  • Right-click the icon in the System Tray to open the expanded menu. You can start up the Screensaver or the Settings dialog box from there. Also you can choose any channel you would like to open.
  • Under Windows NT4, 2000 or XP it's using provides the button F5 correct functioning for starting up the Internet browser with the details about the news being looked through.


How to...

  • How to open the Configuration dialog
  • How to use the keyboard for navigation
  • How to use mouse for navigation
  • Looking through the news details
  • Changing the Screensaver font size and colors


How to Open the Configuration Dialog

You can start up the Configuration dialog with one of the following ways:

  • Start -> Programs -> Online News Screensaver -> Configure screensaver.

  • Right-click the Online News Agent in the System Tray and choose Configure Online News in the appeared menu.

  • Right-click the Windows desktop, choose Properties and click the Screensaver tab in the Desktop Properties dialog box. Choose Online News as a screensaver and then click Settings that is to the right.


How to Use the Keyboard for Navigation

You can change one news to another with the keyboard when the Screen Saver is running. To go to the previous news press the key "Up" and to go to the next news press the key "Down".

To download next or previous Channel you can use the "Right" and "Left" keys.

By pressing the "Pause/Break" key on your keyboard you extend the time interval of displaying current topic for a 30 secs.

Tick the item "Enable keyboard navigation" in the General tab to use this function.


How to use mouse for navigation

You can choose what news to look through with the help of the mouse when the Screensaver is running. Click the news title you like to look it through or click on the arrows.

To look through the additional information about the news, click on the annotation area.

Tick "Enable mouse navigation" in the General tab to use this possibility.


Looking through the News Details

When the Screen Saver is running you can press the F5 key to look through the additional information about the news. Then the Screen Saver will be closed and the article destined to this news will be opened in your Browser (Internet Explorer, Netscape Navigator or other).


Changing the Screensaver Font Size and Colors

You need create your own or edit the color scheme that is already available. You can do it with the Configuration dialog box in the tab Appearance. See more in Configuration dialog\Appearance tab .


License and Registration

  • Product License
  • How to Register?


Registration - Product License

Product License

      The Online News Screensaver
      ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
      License for use of this software
      ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

      The Online News Screensaver is shareware. This means:

   1. All copyrights to Online News Screensaver (further
      screensaver) are exclusively owned by the author - Michael
      Sablin.

   2. This license for usage screensaver on single computer only.
      The user purchases one license to use the screensaver on
      ONE computer. Once registered, the user is granted a exclusive
      license to use screensaver on one computer, for any legal
      purpose.

   3. The screensaver unregistered shareware version, may be freely
      distributed, provided the distribution package is not modified.
      No person or company may charge a fee for the distribution of
      screensaver without written permission from the copyright
      holder.

   4. To register you must complete the registration form and send
      it, with registration fee, to one of the authorized
      registration sites.

   5. Online News Screensaver IS DISTRIBUTED "AS IS". NO
      WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED.  YOU USE
      AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR
      DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND
      OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

   6. There are NO additional license fees, apart from the cost of
      registration.

   7. You may not use, copy, emulate, clone, rent, lease, sell,
      modify, decompile, disassemble, otherwise reverse engineer,
      or transfer the licensed program, or any subset of the
      licensed program, except as provided for in this agreement.
      Any such unauthorized use shall result in immediate and
      automatic termination of this license and may result in
      criminal and/or civil prosecution.

   8. Installing and using screensaver signifies acceptance of
      these terms and conditions of the license.

   9. If you do not agree with the terms of this license you must
      remove screensaver files from your storage devices and cease
      to use the product.

      Thank you for using the original Online News Screensaver.

                                            Michael Sablin


Registration - How to Register?

How to Register?

Pricing

For pricing and ordering information visit us at:

  • http://www.cool-screensavers.com/onlinews_order.html
For information on multiple pricing (5 licenses or more), purchase orders, wire transfers and educational discounts please email us at [image] .

If you have made a payment but haven't received confirmation with your registration code within a reasonable amount of time (two business days for credit card payments or two weeks for other payments), please notify us! You should also ensure that your e-mail address is valid when completing the Order Form as your registration code will be sent to the address you provide.

Entering Registration Code

As soon as your order has been processed (usually in one business day), we will send you the registration code. You should not enter reg-code char-by-char. You should first copy it to the clipboard and then paste into Registration window. Click on the link below to play interactive movie about registration:

  • http://www.cool-screensavers.com/support_reg.html#bottom
    (on an example of the Drunken Clock Screensaver).

Checking the Registration

To check the registration status, open About tab in the Configuration dialog. If the registration was successful, you will see the words "Licensed to: Single User License" at the center of the window.

If you experience any problems during the registration process, please send a letter to [image] . We will be happy to assist you with the registration.


About...

Program updates

You may download Online News Screensaver at the following location:

  • http://www.cool-screensavers.com/download.html

Contacting Author

We would appreciate very much if you could email us any suggestions concerning possible improvements to our software.

Email:

WEB: http://www.cool-screensavers.com

Our Products

3D Camomile Field Screensaver
It is a beautiful scene of a camomile field with flying bumblebees and butterflyes.
Drunken Clock Screensaver
It is an attractive analog clock, which randomly and smoothly moves across the screen. The background moves, the hands of the clock are all wavy and distorted, and the clock itself moves all over the place. The program allows for background changes as well as other appearance and behavior options including support for "skins". Currently available about 120 different skins.
Tipsy Clock Screensaver
It is an attractive digital clock, which randomly and smoothly moves across the screen. Tipsy Clock Screensaver have a features like the Drunken Clock, including a text ticker and about 120 skins.
Chaotic Chance Screensaver Manager
Chaotic Chance allows you to manage the screensavers that are currently installed on your system. Using this program you can choose your favorite screensavers and make them follow the desired order or run randomly.
3D Christmas Screensaver
3D Christmas Screensaver is a christmas tree with decorations, lights, snow and beautiful music. You can download and use this screensaver for free.
3D Valentine's Day Screensaver
3D Valentine's Day Screensaver is a beautiful scene of a camomile field with flying bumblebees and with a lot of hearts rising up from dense grass and disappearing into the air.